var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconBasicEditionComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-basic-edition").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("g", { clipPath: "url(#svg_9e357d5219__svg_890e37079b__a)" },
            React.createElement("path", { fillRule: "evenodd", d: "M7.256 1.425 1.76 4.565a.5.5 0 0 0 0 .87l5.496 3.14a1.5 1.5 0 0 0 1.488 0l5.496-3.14a.5.5 0 0 0 0-.87l-5.496-3.14a1.5 1.5 0 0 0-1.488 0ZM1.93 7.295l.047.022L8 10.487l6.023-3.17a.667.667 0 1 1 .621 1.18l-6.33 3.332a.625.625 0 0 1-.038.019l-.034.014-.059.02-.026.007-.045.009-.057.007-.043.002h-.036l-.062-.005-.037-.006-.048-.01-.046-.015-.048-.019-.048-.023-6.33-3.332a.667.667 0 0 1 .573-1.202Zm5.757 7.534-6.33-3.332a.667.667 0 0 1 .573-1.202l.047.022L8 13.487l6.023-3.17a.667.667 0 1 1 .621 1.18l-6.33 3.332a.625.625 0 0 1-.038.019l-.034.014-.059.02-.026.007-.045.009-.057.007-.043.002h-.036l-.062-.005-.037-.006-.048-.01-.046-.015-.048-.019-.048-.023Z", clipRule: "evenodd" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "svg_9e357d5219__svg_890e37079b__a" },
                React.createElement("path", { d: "M0 0h16v16H0z" }))));
}
var IconBasicEdition = React.forwardRef(IconBasicEditionComponent);
export default IconBasicEdition;
